PHP Manual
Prev |  | Next

# ssh2_publickey_remove

(PECL)

ssh2_publickey_remove -- Remove an authorized publickey

## Description

bool ssh2_publickey_remove ( resource pkey, string algoname, string blob )

> Note: The publickey subsystem is used for managing publickeys on a server to which the client is already authenticated. To authenticate to a remote system using publickey authentication, use the ssh2_auth_pubkey_file() function instead.

## Parameters

pkey

  Publickey Subsystem Resource

algoname

  Publickey algorithm (e.g.): ssh-dss, ssh-rsa

blob

  Publickey blob as raw binary data

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## See Also

ssh2_publickey_init()
ssh2_publickey_add()
ssh2_publickey_list()

Prev | Home | Next
ssh2_publickey_list | Up | ssh2_scp_recv